<?php
declare(strict_types=1);

namespace Ep\Hak\Service;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Class CouponServiceFactory
 *
 * @package Ep\Hak\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/ep-hak
 */
final class CouponServiceFactory implements FactoryInterface
{
    /**
     * @param ContainerInterface $container
     * @param string $requestedName
     * @param array|null $options
     * @return CouponService
     */
    public function __invoke(ContainerInterface $container, $requestedName, ?array $options = null): CouponService
    {
        return new CouponService(
            $container,
            $container->get('config')['hak'] ?? []
        );
    }
}
